0 Replies Latest reply on Jan 16, 2012 1:28 PM by Noa Drach

    Advice Needed - where should i migrate to from 4.2.3

    Noa Drach Novice

      Hello All,

       

      • We are currently using 4.2.3 where the JMS infrastructure was ported to use jboss messaging.
      • We need to migrate to a higher JBOSS version, mainly due to licensing issues.
      • We also need to work with a version that has an EAP twin - which leaves us with the following versions
        • 5.1.x
        • 7.1 -we need this version specifically since we need to connect to a queue from a standalone client using JNDI
      • on top of all, we need to move to production around July.

       

      So now comes my question:

      in this point in time, what would you recommend me to do - migrate to 5.1, that is stable or trust that 7.1 final will be released as planned at the beginning of February and I will be able to reach production on July?

       

      I know that no one can give me guarantees here, but am just looking for some more things to take into considerations when I make my decision.

       

      7.1 looks promising, and I couldn't find enough comparisons to know if 5.1 might be a suitable solution.

       

      thanks,

      Noa